package com.huigou.topsun.sap.exceptionReport.application;

import com.huigou.topsun.sap.exceptionReport.domain.ExceptionReasonTypeDetail;
import com.huigou.topsun.sap.exceptionReport.domain.query.ExceptionReasonTypeDetailQueryRequest;

import java.util.List;
import java.util.Map;

/**
 * @author xin.lu
 * @Description: TODO
 * @date 2025/2/1115:25
 */
public interface ExceptionReasonTypeDetailApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/exceptionReport/exceptionReasonTypeDetail.xml";
    ExceptionReasonTypeDetail save(ExceptionReasonTypeDetail exceptionReasonTypeDetail);

    void delete(String id);

    Map<String, Object> getReasonTypeDetailMap(ExceptionReasonTypeDetailQueryRequest queryRequest);

    void deleteByIds(List<String> ids);

    ExceptionReasonTypeDetail load(String id);

    List<Map<String, Object>> getReasonTypeDetailListMap(String param);
}
